
stages:
  - preparacion
  - despliegue

before_production:
  stage: preparacion
  tags:
    - produccion
  only:
    - produccion
  script:
    - cd /var/www/zanet
    - git fetch -p
    - git pull origin main

after_production:
  stage: despliegue
  tags:
    - produccion
  only:
    - produccion
  script:
    - cd /var/www/zanet
    - /var/www/env-zanet/venv/bin/pip3 install -r requirements.txt
    - /var/www/env-zanet/venv/bin/python3 manage.py migrate
    - sudo systemctl restart nginx.service

